apiVersion: v1
kind: Service
metadata:
  name: gotrue
  namespace: appflowy
spec:
  ports:
    - port: 9999
      targetPort: 9999
      protocol: TCP
      name: http
  selector:
    app: gotrue
  type: ClusterIP

---
apiVersion: v1
kind: Service
metadata:
  name: appflowy-cloud
  namespace: appflowy
spec:
  ports:
    - port: 8000
      targetPort: 8000
      protocol: TCP
      name: http
  selector:
    app: appflowy-cloud
  type: ClusterIP

---
apiVersion: v1
kind: Service
metadata:
  name: admin-frontend
  namespace: appflowy
spec:
  ports:
    - port: 80
      targetPort: 80
      protocol: TCP
      name: http
  selector:
    app: admin-frontend
  type: ClusterIP

---
apiVersion: v1
kind: Service
metadata:
  name: appflowy-worker
  namespace: appflowy
spec:
  ports:
    - port: 8081
      targetPort: 8081
      protocol: TCP
      name: http
  selector:
    app: appflowy-worker
  type: ClusterIP

---
apiVersion: v1
kind: Service
metadata:
  name: appflowy-web
  namespace: appflowy
spec:
  ports:
    - port: 80
      targetPort: 80
      protocol: TCP
      name: http
  selector:
    app: appflowy-web
  type: ClusterIP

# (If you added appflowy-ai)
---
apiVersion: v1
kind: Service
metadata:
  name: appflowy-ai
  namespace: appflowy
spec:
  ports:
    - port: 5001
      targetPort: 5001
      protocol: TCP
      name: http
  selector:
    app: appflowy-ai
  type: ClusterIP